##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

#
# Handling name of the Root Dictionary Files
#
CINT  = Image

#
# Library name to creatre
#
LIB   = mimage.a

#
#  connect the include files defined in the config.mk file
#
INCLUDES = -I. -I../mbase -I../mhbase -I../mgeom -I../manalysis -I../mgui -I../mmc

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MImgCleanStd.cc \
	   MImgCleanTGB.cc \
           MCameraSmooth.cc \
           MHillas.cc \
           MHillasSrc.cc \
           MHillasExt.cc \
           MHillasCalc.cc \
           MHillasSrcCalc.cc \
	   MNewImagePar.cc \
           MHHillas.cc \
           MHHillasSrc.cc \
           MHHillasExt.cc \
	   MHNewImagePar.cc \
	   MStereoPar.cc \
	   MStereoCalc.cc

SRCS    = $(SRCFILES)
HEADERS = $(SRCFILES:.cc=.h)
OBJS    = $(SRCFILES:.cc=.o) 

############################################################

all: $(LIB)

include ../Makefile.rules

#clean:	rmcint rmobjs rmcore rmlib

mrproper:	clean rmbak

# @endcode
